For the complete documentation index, see llms.txt. This page is also available as Markdown.

HTTP Sources

Overview

Use these API operations to interact with HTTP Sources in Panther. This does not include supported log sources that use HTTP as their transport mechanism.

Required permissions

  • For GET operations, your API token must have the View Log Sources permission.

  • For POST, PUT, and DELETE operations, your API token must have the Manage Log Sources permission.

Operations

get http source

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to fetch

Responses
200

OK response.

application/json
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumOptional

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationIdstringOptional

The id of the http source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Optional

The log types of the integration

get/log-sources/http/{id}
GET /log-sources/http/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationId": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}

put http source

put

put updates an http source

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to update

Body
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumRequired

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Required

The log types of the integration

Responses
200

OK response.

application/json
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumOptional

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationIdstringOptional

The id of the http source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Optional

The log types of the integration

put/log-sources/http/{id}
PUT /log-sources/http/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 317

{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}
{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationId": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}

create http source

post
Authorizations
X-API-KeystringRequired
Body
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumRequired

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Required

The log types of the integration

Responses
201

Created response.

application/json
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumOptional

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationIdstringOptional

The id of the http source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Optional

The log types of the integration

post/log-sources/http
POST /log-sources/http HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 317

{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}
{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationId": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}

delete http source

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to delete

Responses
204

No Content response.

No content

delete/log-sources/http/{id}
DELETE /log-sources/http/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?